Reports & exports

Get Report Filter Options

Builds the report's rows to list filterable fields with the values present for the org.

GEThttps://api.toku.com/hris/get-report-filter-options

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-report-filter-options?reportId=%3CreportId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "fields": [
    {
      "field": "string",
      "label": "string",
      "type": "text",
      "options": [
        "string"
      ],
      "optionsTruncated": true
    }
  ],
  "totalRows": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

reportIdstringrequired
customReportBasestring

Available options: people, time_off, expense, invoice, compensation

asOfDatestring

Allowed: matches ^\d{4}-\d{2}-\d{2}$

Response

200Successful response
fieldsobject[]required
Show child attributes
fieldstringrequired
labelstringrequired
typestringrequired

Available options: text, enum, date, number

optionsstring[]required
optionsTruncatedbooleanrequired
totalRowsintegerrequired

Allowed: at least 0

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits